<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getHacknetMultipliers](./bitburner.ns.gethacknetmultipliers.md)

## NS.getHacknetMultipliers() method

Get hacknet related multipliers.

**Signature:**

```typescript
getHacknetMultipliers(): HacknetMultipliers;
```
**Returns:**

[HacknetMultipliers](./bitburner.hacknetmultipliers.md)

Object containing the Player’s hacknet related multipliers.

## Remarks

RAM cost: 0.25 GB

Returns an object containing the Player’s hacknet related multipliers. These multipliers are returned in fractional forms, not percentages (e.g. 1.5 instead of 150%).

## Example


```js
const mults = ns.getHacknetMultipliers();
ns.tprint(`production: ${mults.production}`);
ns.tprint(`purchaseCost: ${mults.purchaseCost}`);
```

